<section>
  <h3>PIZZA ORDER</h3>
  <div class="col-12 basic-info">
    <h5>Basic Information</h5>
  </div>
  <form [formGroup]="dynamicForm" (ngSubmit)="onSubmit()">
    <div class="form-row">
      <div class="form-group">
        <div class="col-12 input-row">
          <div class="col-5">
            <div>
              <label>Name</label>
              <input type="text" formControlName="name" class="form-control"/>
            </div>
            <div class="validation-box">
              <span *ngIf="dynamicForm?.controls['name'].invalid && dynamicForm?.controls['name'].touched" class="alert-danger alert-message">
                <span *ngIf="dynamicForm?.controls['name'].errors.required">
                  Name is required
                </span>
              </span>
            </div>
          </div>
          <div class="col-5">
            <div>
              <label>E-mail Address</label>
              <input type="text" formControlName="email" class="form-control"/>
            </div>
            <div class="validation-box">
              <span *ngIf="dynamicForm?.controls['email'].invalid && dynamicForm?.controls['email'].touched" class="alert-danger alert-message">
                <span *ngIf="dynamicForm?.controls['email'].errors.required">
                  Email is required
                </span>
              </span>
            </div>
          </div>
        </div>
        <div class="col-12 input-row">
          <div class="col-5">
            <div>
              <label>Address</label>
              <input type="text" formControlName="address" class="form-control"/>
            </div>
            <div class="validation-box">
              <span *ngIf="dynamicForm?.controls['address'].invalid && dynamicForm?.controls['address'].touched" class="alert-danger alert-message">
                <span *ngIf="dynamicForm?.controls['address'].errors.required">
                  Address is required
                </span>
              </span>
            </div>
          </div>
          <div class="col-5">
            <div>
              <label>Contact Number</label>
              <input type="text" formControlName="number" class="form-control"/>
            </div>
            <div class="validation-box">
              <span *ngIf="dynamicForm?.controls['number'].invalid && dynamicForm?.controls['number'].touched" class="alert-danger alert-message">
                <span *ngIf="dynamicForm?.controls['number'].errors.required">
                 Contact number is required
                </span>
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-12 add-pizza">
      <h5>Choose your pizza</h5>
      <button type="button" class="btn btn-outline-success" (click)="addPizza()">Add Pizza</button>
    </div>
    <div class="col-12 pizza-type" *ngFor="let pizza of t.controls; let i = index" >
      <mat-expansion-panel hideToggle>
        <mat-expansion-panel-header>
          <mat-panel-title>
            <div>PIZZA {{i + 1}}</div>
            <button type="button" class="btn btn-outline-danger" (click)="removePizza(i)">Remove Pizza</button>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="col-12 ingredients" [formGroup]="pizza">
          <span>Choose size</span>
          <div class="pizza-size">
            <button type="button" class="btn btn-outline-primary" [ngClass]="{'btn-active': pizza.value.size == 'Large'}"  (click)="toggleSize('Large', i)">Large</button>
            <button type="button" class="btn btn-outline-primary" [ngClass]="{'btn-active': pizza.value.size == 'Medium'}" (click)="toggleSize('Medium', i)">Medium</button>
            <button type="button" class="btn btn-outline-primary" [ngClass]="{'btn-active': pizza.value.size == 'Small'}" (click)="toggleSize('Small', i)">Small</button>
          </div>
          <span>Pick your toppings</span>
          <div class="pizza-toppings">
            <div class="toppings-row">
              <div>
                <input class="form-check-input" type="checkbox" value="" formControlName="bacon" id="bacon" (change)="calcTotal()">
                <label class="form-check-label" for="bacon">
                  BACON
                </label>
              </div>
              <div>
                <input class="form-check-input" type="checkbox" value="" formControlName="papperoni" id="papperoni" (change)="calcTotal()">
                <label class="form-check-label" for="papperoni">
                  PAPPERONI
                </label>
              </div>
              <div>
                <input class="form-check-input" type="checkbox" value="" formControlName="mushroom" id="mushroom" (change)="calcTotal()">
                <label class="form-check-label" for="mushroom">
                  MUSHROOM
                </label>
              </div>
              <div>
                <input class="form-check-input" type="checkbox" value="" formControlName="olive" id="olive" (change)="calcTotal()">
                <label class="form-check-label" for="olive">
                  OLIVE
                </label>
              </div>
            </div>
            <div class="toppings-row">
              <div>
                <input class="form-check-input" type="checkbox" value="" formControlName="basil" id="basil" (change)="calcTotal()">
                <label class="form-check-label" for="basil">
                  BASIL
                </label>
              </div>
              <div>
                <input class="form-check-input" type="checkbox" value="" formControlName="sweetcorn" id="sweetcorn" (change)="calcTotal()">
                <label class="form-check-label" for="sweetcorn">
                  SWEETCORN
                </label>
              </div>
              <div>
                <input class="form-check-input" type="checkbox" value="" formControlName="onion" id="onion" (change)="calcTotal()">
                <label class="form-check-label" for="onion">
                  ONION
                </label>
              </div>
              <div>
                <input class="form-check-input" type="checkbox" value="" formControlName="tomato" id="tomato" (change)="calcTotal()">
                <label class="form-check-label" for="tomato">
                  TOMATO
                </label>
              </div>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </div>
    <div class="col-12 basic-info" *ngIf="t.length">
      <div class="summary-header">
        <h5>Summary</h5>
      </div>
      <div *ngFor="let pizza of t.value; let i = index" class="col-12 toppings-selection">
        <div class="summary">
          <span>{{pizza.size}} Pizza {{i + 1}}</span>
          <div>
            <span *ngIf="pizza.size == 'Large'">GBP 10.99</span>
            <span *ngIf="pizza.size == 'Medium'">GBP 6.99</span>
            <span *ngIf="pizza.size == 'Small'">GBP 3.99</span>
          </div>
        </div>
        <div class="summ-ingredients">
          <div class="col-12" *ngIf="pizza.bacon">
            <span>Bacon</span>
            <span>GBP {{toppingsValues.bacon}}</span>
          </div>
          <div class="col-12" *ngIf="pizza.papperoni">
            <span>Papperoni</span>
            <span>GBP {{toppingsValues.papperoni}}</span>
          </div>
          <div class="col-12" *ngIf="pizza.mushroom">
            <span>Mushroom</span>
            <span>GBP {{toppingsValues.mushroom}}</span>
          </div>
          <div class="col-12" *ngIf="pizza.olive">
            <span>Olive</span>
            <span>GBP {{toppingsValues.olive}}</span>
          </div>
          <div class="col-12" *ngIf="pizza.basil">
            <span>Basil</span>
            <span>GBP {{toppingsValues.basil}}</span>
          </div>
          <div class="col-12" *ngIf="pizza.sweetcorn">
            <span>Sweetcorn</span>
            <span>GBP {{toppingsValues.sweetcorn}}</span>
          </div>
          <div class="col-12" *ngIf="pizza.onion">
            <span>Onion</span>
            <span>GBP {{toppingsValues.onion}}</span>
          </div>
          <div class="col-12" *ngIf="pizza.tomato">
            <span>Tomato</span>
            <span>GBP {{toppingsValues.tomato}}</span>
          </div>
        </div>
      </div>
    </div>
    <div class="total-price col-12" *ngIf="t.length">
      <span>TOTAL</span>
      <span>GBP {{totalAmount.toFixed(2)}}</span>
    </div>
    <div class="form-submit col-12" *ngIf="t.length">
      <button type="button" type="submit" class="btn btn-outline-primary" [disabled]="!dynamicForm.valid">Place Order</button>
      <span class="text-warning" *ngIf="!dynamicForm.valid">Basic information should be filled !</span>
    </div>
  </form>
</section>

<section class="custom-note" *ngIf="orderSaved">
  <h3>ORDER IS SAVED !</h3>
</section>
